Package: groovy.lang

## [Java] Class MetaArrayLengthProperty

- groovy.lang.MetaArrayLengthProperty

-     public class MetaArrayLengthProperty
      extends MetaProperty

  Represents the length property of an array.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaArrayLengthProperty()` Creates the synthetic `length` property exposed for Java arrays.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getModifiers()` * Returns the access modifiers. * * Returns: Modifier.PUBLIC
    `` | `public Object` | `getProperty(Object object)` * throws: RuntimeException if the property could not be evaluated Returns: the property of the given object *
    `` | `public void` | `setProperty(Object object, Object newValue)` * Sets the property on the given object to the new value. * * throws: RuntimeException if the property could not be set Parameters: `object` - on which to set the property * `newValue` - the new value of the property *

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`

- - ### Constructor Detail

    - #### public MetaArrayLengthProperty()

      Creates the synthetic `length` property exposed for Java arrays.

  - ### Method Detail

    - #### public int getModifiers()

      * Returns the access modifiers. * *

      Returns:
        Modifier.PUBLIC

    - #### public Object getProperty(Object object)

      *

      throws:
        RuntimeException if the property could not be evaluated
      Returns:
        the property of the given object *

    - #### public void setProperty(Object object, Object newValue)

      * Sets the property on the given object to the new value. * *

      throws:
        RuntimeException if the property could not be set
      Parameters:
        `object` - on which to set the property *
        `newValue` - the new value of the property *